<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:dlf-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.0//EN"
  "http://www.logreport.org/LDSML/1.1/ldsml.dtd">
<lire:dlf-schema superservice="lire_import_log" timestamp="time"
 xmlns:lire="http://www.logreport.org/LDSML/">

 <lire:title>DLF Schema for ImportJob Logging</lire:title>
 
 <lire:description>
  <para>This Dlf schema is used to store information related to
   importation and analysis jobs. It is this Dlf stream that will
   contains the lines that were marked for continuation, that were
   ignored or that had errors during an importation process.
  </para>
 </lire:description>

 <lire:field name="time" type="timestamp" label="Timestamp">
  <lire:description>
   <para>The time at which that log line was processed.</para>
  </lire:description>
 </lire:field>

 <lire:field name="job_name" type="string" label="Job Name">
  <lire:description>
   <para>The name of the ImportJob to which that log line is related.</para>
  </lire:description>
 </lire:field>

 <lire:field name="job_id" type="string" label="Job Id">
  <lire:description>
   <para>The job id in which that line was processed. This is the job
    name plus the timestamp of the start of the job.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="type" type="string" label="Line Type">
  <lire:description>
   <para>A typecode that can be <constant>error</constant> for line
    which resulted in an error, <constant>continuation</constant> for
    lines marked for processing at a later time and
    <constant>ignored</constant> for lines that were ignored.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="line_no" type="int" label="Line Number">
  <lire:description>
   <para>The log line number.</para>
  </lire:description>
 </lire:field>

 <lire:field name="line" type="string" label="Log Line">
  <lire:description>
   <para>The content of the log line.</para>
  </lire:description>
 </lire:field>

 <lire:field name="msg" type="string" label="Message">
  <lire:description>
   <para>An optional message logged by the converter.</para>
  </lire:description>
 </lire:field>

</lire:dlf-schema>
